app-date-range {
    .adr-main-field {
        height: 20px;
        font-size: 16px;
    }

    .app-date-picker-popup-wrapper {
        z-index: 11111 !important;
        box-shadow: 0 2px 4px 0 rgb(0 0 0 / 50%);
    }

    .app-date-picker-popup-wrapper .date-field {
        width: 100%;
        height: 40px;
        background: #FAFAFA;
        border: 1px solid #979797;
        border-radius: 4px;
    }

    .app-date-selection-popup {
        width: 270px;
        height: 340px !important;
        background: #FBFBFB !important;
        border-radius: 0 !important;
        border: none !important;
    }

    .app-calendar-popup.dx-calendar {
        width: 239px;
        min-width: 239px;
        height: 226px;
        min-height: 226px;
        background: transparent;
    }

    .app-calendar-popup .dx-calendar-body {
        top: 36px;
    }

    .app-calendar-popup .dx-calendar-body thead tr th {
        box-shadow: none !important;
    }

    .app-calendar-popup .dx-calendar-navigator {
        width: 100%;
        height: 29px;
        max-height: 29px;
        background: #f6f6f6;
    }

    .app-calendar-popup .dx-calendar-cell {
        color: #484848;
        padding: 0;
        border: none;
    }

    .app-calendar-popup .dx-calendar-cell:hover {
        background: #FBFBFB !important;
        border-radius: 0;
        box-shadow: none;
    }

    .app-calendar-popup .calender-tmplt-cell {
        width: 100%;
        height: 24px;
    }

    .app-calendar-popup .calender-tmplt-cell-text {
        font-size: 12px;
        width: 24px;
        height: 24px;
    }

    .app-calendar-popup .calender-tmplt-cell-text:hover {
        background: rgba(48, 122, 250, 0.25);
        border-radius: 100%;
    }

    .app-calendar-popup .dx-calendar-cell.dx-calendar-selected-date .calender-tmplt-cell-text,
    .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today .calender-tmplt-cell-text {
        background: #307AFA;
        border-radius: 100%;
        color: #fff;
    }

    .app-calendar-popup .dx-calendar-cell.dx-calendar-selected-date,
    .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today {
        box-shadow: none;
    }

    .app-calendar-popup .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-contoured-date,
    .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today.dx-calendar-contoured-date {
        box-shadow: none;
    }

    .app-calendar-popup .dx-calendar-navigator a {
        background: none;
        border: none;
        border-radius: 0;
    }

    .app-calendar-popup .dx-calendar-navigator a:nth-child(2) {
        text-transform: capitalize;
    }

    .app-calendar-popup .dx-calendar-navigator a:nth-child(2) .dx-button-content .dx-button-text {
        color: #484848 !important;
    }

    .app-calendar-popup .cal-popup-pn-ic {
        color: #484848 !important;
        margin: 1px;
        background-repeat: no-repeat;
        display: inline-block;
        height: 24px !important;
        width: 24px !important;
        font-size: 24px !important;
    }

    .cell-selected {
        background: #307AFA;
        color: white;

        &.start {
            border-top-left-radius: 100px;
            border-bottom-left-radius: 100px;
        }

        &.end {
            border-top-right-radius: 100px;
            border-bottom-right-radius: 100px;
        }
    }
}
